#include <bits/stdc++.h>
using namespace std;
long long Konflikt(int N,int M,int *A,int *B)
{
    int Min=INT_MAX;
    vector<int> a(N+1), b(N+1);
    bool slucaj3=true;
    for(int i=1;i<=N;i++)
    {
        a[i]=A[i];
        b[i]=B[i];
        if(A[i]>M/4 || B[i]>M/4)
            slucaj3=true;
    }
    sort(a.begin(),a.end());
    sort(b.begin(),b.end());
    for(int i=0;(i<N && !slucaj3) || i<1;i++)
    {
        for(int x=0;x<N;x++)
        {
            int X=(M+a[x+1]-b[(i+x)%N+1])%M;
            int s=0;
            for(int j=0;j<N;j++)
            {
                int d=((a[j+1]+X)%M)-b[(i+j)%N+1];
                s+=min(abs(d),M-abs(d));
            }
            Min=min(Min,s);
        }
    }
    return Min;
}